#!/bin/bash

MANETS_BIN="$MANETS_HOME/thesis/bin"

$MANETS_BIN/compiled.sh -DNEIGHBORING_NODES=4 -DSENDER_MSG_SPLIT_COUNT=2 -DLEVELS=2 -DNO_ALARM=1

$MANETS_HOME/thesis/bin/manets_simulation -r &
sleep 5
$MANETS_HOME/thesis/test/bin/df_new_msg_512_500.sh
sleep 5
mv $MANETS_HOME/thesis/log/encryption_exec_time.log $MANETS_HOME/thesis/log/df_new_msg_512_500_enc.log
mv $MANETS_HOME/thesis/log/decryption_exec_time.log $MANETS_HOME/thesis/log/df_new_msg_512_500_dec.log
pkill -2  -o manets_sim
while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

$MANETS_HOME/thesis/bin/manets_simulation -r &
sleep 5
$MANETS_HOME/thesis/test/bin/df_add_msg_512_500.sh
sleep 5
mv $MANETS_HOME/thesis/log/encryption_exec_time.log $MANETS_HOME/thesis/log/df_add_msg_512_500_enc.log
mv $MANETS_HOME/thesis/log/decryption_exec_time.log $MANETS_HOME/thesis/log/df_add_msg_512_500_dec.log
pkill -2  -o manets_sim
while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

$MANETS_HOME/thesis/bin/manets_simulation -r &
sleep 5
$MANETS_HOME/thesis/test/bin/df_field_msg_512_500.sh
sleep 5
mv $MANETS_HOME/thesis/log/encryption_exec_time.log $MANETS_HOME/thesis/log/df_field_msg_512_500_enc.log
mv $MANETS_HOME/thesis/log/decryption_exec_time.log $MANETS_HOME/thesis/log/df_field_msg_512_500_dec.log
pkill -2  -o manets_sim
while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

$MANETS_HOME/thesis/bin/manets_simulation -r &
sleep 5
$MANETS_HOME/thesis/test/bin/mmh_msg_512_500.sh
sleep 5
mv $MANETS_HOME/thesis/log/encryption_exec_time.log $MANETS_HOME/thesis/log/mmh_msg_512_500_enc.log
mv $MANETS_HOME/thesis/log/decryption_exec_time.log $MANETS_HOME/thesis/log/mmh_msg_512_500_dec.log
pkill -2  -o manets_sim
while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done

while :
do
  pgrep manets_sim > /dev/null || break
  sleep 1
done
